## ros-indigo-pr2-navigation-slam 0.1.28

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_navigation_slam)

find_package(catkin REQUIRED COMPONENTS)

catkin_package(
    DEPENDS 
    CATKIN_DEPENDS
    INCLUDE_DIRS
    LIBRARIES
)

install(FILES  move_base.xml  slam_gmapping.xml
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY rviz config
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-pr2-navigation-slam (0.1.28-0trusty) trusty; urgency=high

  * Merge pull request #36 <https://github.com/pr2/pr2_navigation/issues/36> from k-okada/fix_catkin_depends
    fixed CMake files for compile in kinetic
  * updated maintainer
  * fixed CMake files for compile in kinetic
  * Contributors: David Feil-Seifer, Kei Okada

 -- David Feil-Seifer <dave@cse.unr.edu>  Thu, 26 Apr 2018 15:00:00 -0000

ros-indigo-pr2-navigation-slam (0.1.27-0trusty) trusty; urgency=high

  * Merge pull request #16 <https://github.com/pr2/pr2_navigation/issues/16> from k-okada/remove_build_depend
    we do not need any package during build process
  * we do not need any package during build process
  * Contributors: Devon Ash, Kei Okada

 -- Devon Ash <dash@clearpathrobotics.com>  Sun, 21 Jun 2015 15:00:00 -0000

ros-indigo-pr2-navigation-slam (0.1.26-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 09 Feb 2015 15:00:00 -0000

ros-indigo-pr2-navigation-slam (0.1.25-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 05 Feb 2015 15:00:00 -0000

ros-indigo-pr2-navigation-slam (0.1.24-0trusty) trusty; urgency=high

  * Remove mainpage.dox
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 14 Oct 2014 15:00:00 -0000

ros-indigo-pr2-navigation-slam (0.1.23-0trusty) trusty; urgency=high

  * Updated maintainership
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 14 Oct 2014 15:00:00 -0000

ros-indigo-pr2-navigation-slam (0.1.22-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Sun, 07 Sep 2014 15:00:00 -0000

ros-indigo-pr2-navigation-slam (0.1.21-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 05 Sep 2014 15:00:00 -0000

ros-indigo-pr2-navigation-slam (0.1.20-0trusty) trusty; urgency=high

  * 0.1.19
  * Added changelogs
  * 0.1.18
  * Generating changelogs; preparing for release
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 05 Sep 2014 15:00:00 -0000

ros-indigo-pr2-navigation-slam (0.1.19-0trusty) trusty; urgency=high

  * 0.1.18
  * Generating changelogs; preparing for release
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 05 Sep 2014 15:00:00 -0000

ros-indigo-pr2-navigation-slam (0.1.18-0trusty) trusty; urgency=high

  * catkinize packages
  * Add ignores.
  * Add missing manifest dependencies.
  * Update rviz configurations.
  * Updating the rviz configuration files to subscribe to PointCloud2
  * Adding a missing dependency on topic tools to pr2_navigation _global _local and _slam
  * Making rviz nodes anonymous so that multiple people can launch them on different machines
  * Changing rviz configuration files for new pr2_navigation
  * Testing on the robot with some updates to make things work with the new local planner
  * Switching to use new dwa_local_planner, also removing nav_view launch files
  * Running the navigation stack on c2, removing some throttles
  * Updating recovery behaviors to use full namespace
  * Adding mux to pr2_navigation stack to coordinate with teleop... needs testing on robot
  * Modifying pr2_navigation to use the pr2_move_base node to manage the tilt laser instead of the laser_tilt_action script
  * Changing wiki markup to html links in manifest and stack xml files.... hopefully that will work with the wiki macros, we'll see
  * Updating manifest descriptions
  * Adding descriptions of each package to manifest files
  * Adding some missing dependencies, also updating the stack description
  * Copying pr2_navigation from staging area to stacks section of the repoistory
  * Contributors: Austin Hendrix, Eitan Marder-Eppstein, Kei Okada, eitan

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 05 Sep 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-pr2-navigation-slam
Section: misc
Priority: extra
Maintainer: David Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/pr2_navigation_slam
Standards-Version: 3.9.2

Package: ros-indigo-pr2-navigation-slam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-gmapping, ros-indigo-joint-trajectory-generator, ros-indigo-move-base, ros-indigo-pr2-machine, ros-indigo-pr2-move-base, ros-indigo-pr2-navigation-config, ros-indigo-pr2-tuck-arms-action, ros-indigo-topic-tools
Description: This package holds launch files for running the

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pr2-navigation-slam//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
